DisplayLink (dlumd32.dll) Startup crash in @0x0 | CContext::UMQueryHS_ConstBuf_(D3D10DDI_HRTCORELAYER, unsigned int, unsigned int)

VERIFIED FIXED in Firefox 33

Status

()

--
critical
VERIFIED FIXED
5 years ago
4 years ago

People

(Reporter: jbecerra, Assigned: bjacob)

Tracking

(Blocks: 1 bug, {crash})

32 Branch
mozilla36
x86
Windows NT
crash
Points:
---
Dependency tree / graph
Bug Flags:
qe-verify +

Firefox Tracking Flags

(firefox32 wontfix, firefox33+ verified, firefox34+ verified, firefox35 verified, firefox36 verified)

Details

(crash signature)

Attachments

(2 attachments, 1 obsolete attachment)

(Reporter)

Description

5 years ago
This bug was filed from the Socorro interface and is 
report bp-7553c1b0-b28e-45a2-837d-494972140530.
=============================================================

This signature started appearing around 5/21, and all of these are reported on Windows 7. Most area also duplicates from a handful of installations. There are no comments so far.

0 		@0x0 	
1 	d3d11.dll 	CContext::UMQueryHS_ConstBuf_(D3D10DDI_HRTCORELAYER,unsigned int,unsigned int) 	
2 	igd10umd32.dll 	igd10umd32.dll@0x20dd0a 	
3 	igd10umd32.dll 	igd10umd32.dll@0x201e20 	
4 	dlumd32.dll 	dlumd32.dll@0xfd3d 	
5 	d3d11.dll 	CResource<ID3D11Resource>::Map<1,5>(CContext *,CResource<ID3D11Resource> *,unsigned int,D3D11_MAP,unsigned int,D3D11_MAPPED_SUBRESOURCE *) 	
6 	d3d11.dll 	CContext::ID3D11DeviceContext1_Map_<4>(ID3D11DeviceContext1 *,ID3D11Resource *,unsigned int,D3D11_MAP,unsigned int,D3D11_MAPPED_SUBRESOURCE *) 	
7 	xul.dll 	mozilla::layers::CompositorD3D11::UpdateConstantBuffers() 	gfx/layers/d3d11/CompositorD3D11.cpp
8 	xul.dll 	mozilla::layers::CompositorD3D11::DrawQuad(mozilla::gfx::RectTyped<mozilla::gfx::UnknownUnits> const &,mozilla::gfx::RectTyped<mozilla::gfx::UnknownUnits> const &,mozilla::layers::EffectChain const &,float,mozilla::gfx::Matrix4x4 const &) 	gfx/layers/d3d11/CompositorD3D11.cpp
9 	xul.dll 	mozilla::layers::ContentHostBase::Composite(mozilla::layers::EffectChain &,float,mozilla::gfx::Matrix4x4 const &,mozilla::gfx::Filter const &,mozilla::gfx::RectTyped<mozilla::gfx::UnknownUnits> const &,nsIntRegion const *,mozilla::layers::TiledLayerProperties *) 	gfx/layers/composite/ContentHost.cpp
10 	xul.dll 	mozilla::layers::ThebesLayerComposite::RenderLayer(nsIntRect const &) 	gfx/layers/composite/ThebesLayerComposite.cpp
11 	xul.dll 	mozilla::layers::ContainerRender<mozilla::layers::ContainerLayerComposite>(mozilla::layers::ContainerLayerComposite *,mozilla::layers::LayerManagerComposite *,nsIntRect const &) 	gfx/layers/composite/ContainerLayerComposite.cpp
12 	xul.dll 	mozilla::layers::ContainerLayerComposite::RenderLayer(nsIntRect const &) 	gfx/layers/composite/ContainerLayerComposite.cpp
13 	xul.dll 	mozilla::layers::LayerManagerComposite::Render() 	gfx/layers/composite/LayerManagerComposite.cpp
14 	xul.dll 	mozilla::layers::LayerManagerComposite::EndTransaction(void (*)(mozilla::layers::ThebesLayer *,gfxContext *,nsIntRegion const &,mozilla::layers::DrawRegionClip,nsIntRegion const &,void *),void *,mozilla::layers::LayerManager::EndTransactionFlags) 	gfx/layers/composite/LayerManagerComposite.cpp
15 	xul.dll 	mozilla::layers::LayerManagerComposite::EndEmptyTransaction(mozilla::layers::LayerManager::EndTransactionFlags) 	gfx/layers/composite/LayerManagerComposite.cpp
16 	xul.dll 	mozilla::layers::CompositorParent::CompositeToTarget(mozilla::gfx::DrawTarget *) 	gfx/layers/ipc/CompositorParent.cpp
17 	xul.dll 	mozilla::layers::CompositorParent::Composite() 	gfx/layers/ipc/CompositorParent.cpp
18 	xul.dll 	MessageLoop::RunTask(Task *) 	ipc/chromium/src/base/message_loop.cc
19 	xul.dll 	MessageLoop::DeferOrRunPendingTask(MessageLoop::PendingTask const &) 	ipc/chromium/src/base/message_loop.cc
20 	xul.dll 	MessageLoop::DoWork() 	ipc/chromium/src/base/message_loop.cc
21 	xul.dll 	base::MessagePumpDefault::Run(base::MessagePump::Delegate *) 	ipc/chromium/src/base/message_pump_default.cc
22 	xul.dll 	MessageLoop::RunHandler() 	ipc/chromium/src/base/message_loop.cc
23 	xul.dll 	MessageLoop::Run() 	ipc/chromium/src/base/message_loop.cc
24 	xul.dll 	base::Thread::ThreadMain() 	ipc/chromium/src/base/thread.cc
25 	xul.dll 	`anonymous namespace'::ThreadFunc(void *) 	ipc/chromium/src/base/platform_thread_win.cc
26 	kernel32.dll 	BaseThreadInitThunk 	
27 	ntdll.dll 	__RtlUserThreadStart 	
28 	ntdll.dll 	_RtlUserThreadStart
Given the timing, likely OMTC. All the reports are Intel adapter 0x0116.

As Juan notes, these crashes are coming from a small number of installations hitting this many times. I feel bad for the user who sent us 17 crash reports!

This could be a pretty serious problem if there is a subset of users who basically can't start their browser now.
Summary: crash in @0x0 | CContext::UMQueryHS_ConstBuf_(D3D10DDI_HRTCORELAYER, unsigned int, unsigned int) → Startup crash in @0x0 | CContext::UMQueryHS_ConstBuf_(D3D10DDI_HRTCORELAYER, unsigned int, unsigned int)
I know a victim of this bug. He said that this crash reproduces at every start up of Fx 33. However, in safe mode, he succeeded to launch Firefox. So, people meeting this crash cannot update Firefox in normal mode even if this is fixed soon.
[Tracking Requested - why for this release]:

Doesn't seem like much, but 627 crashes on 408 installs since release.  A startup top crasher that accounts for just over 1% of all crashes on Fx 33.

bug 1026893 related?
status-firefox33: --- → affected
tracking-firefox33: --- → ?
Keywords: topcrash-win
tracking-firefox33: ? → +
Bas, Nical, if you have an idea!
Flags: needinfo?(nical.bugzilla)
Flags: needinfo?(bas)
9.17.10.3347 is from 2013, it's not going to be in the blacklist that we are updating.

This looks like Bug 1044975 which got backed out from beta.
Flags: needinfo?(nical.bugzilla)
(In reply to Nicolas Silva [:nical] from comment #5)
> 9.17.10.3347 is from 2013, it's not going to be in the blacklist that we are
> updating.
> 
> This looks like Bug 1044975 which got backed out from beta.

We could try including in the chemspill, I'm pretty sure it didn't cause the problems we had on RC.
Flags: needinfo?(bas)
(In reply to Bas Schouten (:bas.schouten) from comment #6)
> 
> We could try including in the chemspill, I'm pretty sure it didn't cause the
> problems we had on RC.
Do we have a way to confirm this statement? Not that I don't trust you, we need a confirmation.
This was in the Fx33b99(RC1) build. But at 10% of the volume that it is occurring on release.
The driver correlations are same as https://bugzilla.mozilla.org/show_bug.cgi?id=1026893#c7

Graphics Adapter Report: The number of crashes for a particular signature by graphics vendor and chipset. Vendor 	Adapter 	Report Count 	Percentage
0x8086 	0x0116	225 	35.885 %
0x8086 	0x0102	200 	31.898 %
0x8086 	0x0126	158 	25.199 %
0x8086 	0x0106	33 	5.263 %
0x8086 	0x0112	9 	1.435 %
0x8086 	0x010a	2 	0.319 %
This bug has been identified as a top crash of the 33 release.
Bas, Nical, could you help here?
Flags: needinfo?(nical.bugzilla)
Flags: needinfo?(bas)
Did we end up relanding the fix for bug 1044975? I can't think of anything else I can do about this crash (as long as I don't have hardware that reproduces the bug).
Flags: needinfo?(nical.bugzilla)
Nical, yes but for 33.0.1, not in 33.0
So, we will see in this case what happens once we release 33.0.1
Blocks: 1088034
Tracy, do you still see it in 33.0.1/33.0.2? Thanks
Flags: needinfo?(twalker)
Flags: needinfo?(bas)
Yes, it is still present.  numbers for the past 7 days.

Product 	Version 	Number Of Crashes
Firefox 	33.0 	414
Firefox 	33.0.2 	56
Firefox 	33.0.1 	54
Flags: needinfo?(twalker)
but note this and bug 1026893 (#47) have been sliding down the top crash list. this one to #73
OK. I am going to wontfix it. Do you know if it impacts 34 too?
status-firefox32: affected → wontfix
status-firefox33: affected → wontfix
status-firefox34: --- → ?
status-firefox35: --- → ?
Keywords: topcrash-win
yes, though in lower numbers, decreasing with each beta.

Product 	Version 	Percentage 	Number Of Crashes
Firefox 	33.0 	70.53 %	414
Firefox 	33.0.2 	9.54 %	56
Firefox 	33.0.1 	9.20 %	54
Firefox 	34.0b2 	4.94 %	29
Firefox 	34.0b3 	2.90 %	17
Firefox 	33.0b3 	0.68 %	4
Firefox 	35.0a2 	0.68 %	4
Firefox 	33.0b1 	0.51 %	3
Firefox 	34.0b4 	0.34 %	2
Firefox 	34.0b1 	0.34 %	2
Firefox 	33.0b99 	0.17 %	1
Firefox 	33.0b9 	0.17 %	1
status-firefox34: ? → affected
status-firefox35: ? → affected

Comment 18

4 years ago
For the numbers "decreasing with each beta" please also consider the "real life" scenario - where with upgrade to 33.0 browser stopped to work at all - people simply switch to other. Some of those did try next stable release, some of them also did try beta... after 2 or 3 failed attempts - user simply give up.. and will wait for product which at least starts. In this case the fact that numbers go down do not describe "better quality of the code" , but unfortunately only the dying patient of users.

Comment 19

4 years ago
I have this bug on my computer running windows 7 since yesterday.
The bug is present in 33.0.2 and even the latest nightly which I installed yesterday.
Basically all actual Firefox versions only run in save mode on this machine.
It is really annoying and makes Firefox practically useless.

In my opinion, the bug started after I upgraded Adobe Reader to the newest Adobe Reader XI.
When trying to upgrade plugins, there is "Adobe Acrobat NPAPI Plug-in" that indicates status "vulnerable 11.0.9.29" but does not upgrade to newer version. It only reopens the same "plugin check&upgrade" tab again and again when I click on the "update now" button next to it.
Not shure if that has to say anything, but maybe it is something to look at?
Flags: needinfo?(jmuizelaar)
(In reply to Rolf Niggemann from comment #19)
> I have this bug on my computer running windows 7 since yesterday.
> The bug is present in 33.0.2 and even the latest nightly which I installed
> yesterday.
> Basically all actual Firefox versions only run in save mode on this machine.
> It is really annoying and makes Firefox practically useless.
> 
> In my opinion, the bug started after I upgraded Adobe Reader to the newest
> Adobe Reader XI.
> When trying to upgrade plugins, there is "Adobe Acrobat NPAPI Plug-in" that
> indicates status "vulnerable 11.0.9.29" but does not upgrade to newer
> version. It only reopens the same "plugin check&upgrade" tab again and again
> when I click on the "update now" button next to it.
> Not shure if that has to say anything, but maybe it is something to look at?

Just to confirm some things. The crash happens at startup and it happens everytime?

Can you post a link to the crash from about:crashes?
Flags: needinfo?(Rolf.Niggemann)

Comment 21

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #20)

> Just to confirm some things. The crash happens at startup and it happens
> everytime?
Yes. Firefox crashes everytime at startup, except I start firefox in safe mode with shift key pressed.

 
> Can you post a link to the crash from about:crashes?
Here are some from 33.0.2 and 36.0a1 as well.

Submitted Crash Reports
Report ID 	Date Submitted
bp-d0c79c5c-c724-490f-8b55-f981d2141031	31.10.2014	21:56
bp-f05f9b59-3348-44f8-b799-7d6822141031	31.10.2014	21:56
bp-8406e882-c914-420c-a89a-9cc782141031	31.10.2014	21:56
bp-d56fbde9-0618-4db0-b27d-2d6f12141031	31.10.2014	14:17
bp-11e90aa0-edb1-4558-9f52-591f52141031	31.10.2014	14:17
bp-807b29dc-b462-44e2-8f67-ff4f42141031	31.10.2014	13:57
bp-e2bf1f0e-c5d6-460a-8fa1-640d22141031	31.10.2014	13:57
bp-c3d5b81d-270c-49bf-afa3-d257e2141031	31.10.2014	13:57
bp-cb2bea0d-02b5-4bd4-b4d6-6fb462141031	31.10.2014	13:56
bp-d885c82e-d73e-41ca-a7aa-660cc2141031	31.10.2014	13:56
bp-474cc6fb-ef04-46d6-b198-cb9592141031	31.10.2014	13:56
bp-b656db8a-66ad-464d-a4e3-8c4d82141031	31.10.2014	13:53
bp-0fdc4344-f7f4-4d3a-ac99-e7dd32141031	31.10.2014	10:02
bp-8120884d-90a9-4563-8129-2c4fb2141031	31.10.2014	10:01
bp-839902c0-6202-4d5e-88fd-7f43a2141031	31.10.2014	10:01
bp-0f1295f6-f5b5-4b43-aa1c-2a1762141031	31.10.2014	09:55
bp-8cba9eb1-cb14-4ead-91a6-4a2b62141031	31.10.2014	09:55
bp-aec3e3e8-8a5c-4d51-8e05-b00ee2141031	31.10.2014	09:55
bp-216d19fe-7155-4789-9899-1170e2141031	31.10.2014	09:55
bp-74fef8ef-c080-4bbc-bf30-05fe32141031	31.10.2014	09:55
bp-b34942cf-77a2-4e79-b19d-472bd2141031	31.10.2014	09:55
bp-bdb76c9a-d171-4fa4-acf2-5342d2141031	31.10.2014	09:55
bp-017eb0cc-d661-438c-8a57-b9dcd2141031	31.10.2014	09:54
bp-857029a9-992d-4dc1-afab-3eba52141031	31.10.2014	09:54
bp-039eaaeb-8584-4229-a70d-154b52141031	31.10.2014	09:54
bp-5d33c55e-8e46-4faf-a930-db6302141031	31.10.2014	09:54
bp-87aa8d5c-8b29-4175-9915-087e72141031	31.10.2014	09:54
bp-be85c66e-cfbf-4a0d-acc6-d634d2141031	31.10.2014	09:54
bp-4815e7e0-362c-44d0-a591-9d66a2141031	31.10.2014	09:54
bp-4a1a2dd1-a1de-4b80-8e7d-3439d2141031	31.10.2014	09:54
bp-0491bf96-5e3d-4ecd-ac25-024aa2141031	31.10.2014	09:54
bp-3c93d377-574e-4bed-8971-bc4162141031	31.10.2014	09:53
bp-3558304c-7efb-47c9-87e4-54a8c2141031	31.10.2014	09:53
bp-1ffaa74e-f644-4b91-bf2b-638ce2141031	31.10.2014	09:53
bp-ca2df1e0-7806-480c-bcff-e40e92141031	31.10.2014	09:38
bp-ac8441c1-7e60-4cdf-b26c-b6b712141031	31.10.2014	09:13
bp-d6726d67-e3af-4217-88cc-191462141031	31.10.2014	01:13
bp-f8ff80b0-12ba-4338-9b6b-d3f062141031	31.10.2014	01:11
bp-dd04f44f-2d5d-4dfb-840b-f89a32141031	31.10.2014	01:11
bp-b4444a36-04d2-4c61-acd2-f69582141031	31.10.2014	01:11
bp-b325a4e3-6982-4ee6-96b8-753482141031	31.10.2014	01:11
bp-049b279f-dc25-4d95-b5bb-0e0272141030	30.10.2014	22:10
bp-ce54e30e-7328-4e00-b0d6-cb0662141030	30.10.2014	21:46
bp-95d463a3-f58a-42d5-b484-acc872141030	30.10.2014	21:44
bp-720fe89e-9829-4acf-a4cc-ff0852141030	30.10.2014	21:38
bp-9b8146f2-ecf7-4146-8e4a-42b1d2141030	30.10.2014	21:33
bp-74a60aba-ecb1-4be7-b376-59bf32141030	30.10.2014	21:28
bp-190eb442-b402-4cb3-87ea-a85e12141030	30.10.2014	21:22
bp-c23a3de1-f01b-4173-9117-d31422141030	30.10.2014	21:22
bp-84027f3c-dabe-4bc7-9ebd-723482141030	30.10.2014	21:22
bp-8ba4c412-c0ff-4836-a4a3-2ef3b2141030	30.10.2014	21:20
bp-447d932f-c678-4771-9040-2758f2141030	30.10.2014	20:53
bp-9ecac4ec-b0b6-4ef8-b687-1982d2141030	30.10.2014	20:53
bp-bc44d989-62a5-4a5f-b395-7cda62141030	30.10.2014	20:53
bp-b5d8b9de-dd07-4544-90dd-c2e3c2141030	30.10.2014	20:52
bp-108686f4-7061-47e2-8e18-4459b2141030	30.10.2014	20:52
bp-485b4e24-9b66-4243-a371-b79102141030	30.10.2014	20:52
bp-8bea8cb0-5944-4341-b1c1-cf1122141030	30.10.2014	20:52
bp-58b36ae7-a5d4-48f7-a297-9c71e2141030	30.10.2014	20:52
bp-08ae65bd-92ae-472c-a220-696ae2141030	30.10.2014	20:52
bp-aa68e1c1-49b3-4340-ab6c-794552141030	30.10.2014	20:52
bp-76017359-fffb-4048-a762-c5d712141030	30.10.2014	20:52
bp-4a4af978-936d-4227-9292-c5f222141030	30.10.2014	20:52
bp-9006a4db-e488-41fa-b1d3-b466d2141030	30.10.2014	20:52
bp-9e3a5aa0-babc-4924-98e4-19b302141030	30.10.2014	20:52
bp-c67bb252-97a8-4ced-a4c3-c5a622141030	30.10.2014	20:52
bp-c1c57b49-8dc8-4801-9891-a12692141030	30.10.2014	20:52
bp-5a8082f9-6c2c-46de-ab16-d04712141030	30.10.2014	20:52
bp-74da70f4-619c-4304-8532-aa3d32141030	30.10.2014	20:52
bp-fe6d2dd4-3274-438c-8e02-dab5e2141030	30.10.2014	20:52
bp-aba6c009-6ded-40ea-88d5-c664d2141030	30.10.2014	20:52
bp-d0c729c4-0aa2-4202-b169-b52f82141030	30.10.2014	20:52
bp-7c54ad93-6804-4a6d-9ec8-6c8bf2141030	30.10.2014	20:51
bp-dbc1f3a0-b138-4ebe-87a5-9744b2141030	30.10.2014	20:51
bp-9ba18a9d-4c89-48ff-aca0-5ad232141030	30.10.2014	20:51
bp-3d977d81-1d66-4d4b-a49a-18c6e2141030	30.10.2014	20:51
bp-69747bfd-100b-4834-956e-650f52141030	30.10.2014	20:51
bp-6ab3516d-4e63-4be2-91d6-dcccb2141030	30.10.2014	20:51
bp-4ebb7333-cf76-445f-a6b1-aea402141030	30.10.2014	20:51
bp-9b368ded-50aa-4886-b1cd-06f092141030	30.10.2014	20:50
bp-eb91d2ad-a520-408a-8b52-f4f362141030	30.10.2014	20:50
bp-a33583f4-699c-42be-a34c-bf3f52141030	30.10.2014	20:50
bp-51283623-45b8-47d1-bfa7-8dd012141030	30.10.2014	20:50
bp-458f14d3-b035-4298-83af-c9f462141030	30.10.2014	20:50
bp-0b5037a7-ffa5-4582-bbbe-acbe72141030	30.10.2014	20:41
bp-2d7464fb-6eac-475a-9a58-096ea2141030	30.10.2014	20:27
bp-7c6a1d9d-db70-491d-b8e7-cdb722141030	30.10.2014	20:22
bp-0cff77af-93b4-439b-b753-78a1e2141030	30.10.2014	19:28
bp-972bc149-4cfe-4a51-8993-e1f6d2141030	30.10.2014	19:26
bp-dee4cb20-9da6-4279-bc6f-afaf32141030	30.10.2014	19:20
bp-35477b72-2cee-4721-b756-e22f62141030	30.10.2014	19:16
bp-97665b04-bdb5-4fa4-938b-d42362141030	30.10.2014	19:04
bp-988fb1ba-662f-4434-833a-2ae012141030	30.10.2014	19:04
bp-78babddb-5ea4-432d-9669-c724e2141030	30.10.2014	19:04
bp-e1597a1d-6448-495e-b1c7-5029e2141030	30.10.2014	19:04
bp-ddcc6ea0-27c9-4a9d-8755-196232141030	30.10.2014	19:03
bp-e299ceff-8766-42a6-b64f-3e59d2141030	30.10.2014	19:03
bp-42ea543d-d1ee-45b2-bfdf-48ebe2141030	30.10.2014	19:03
bp-a24333b6-3b93-4020-bc8a-f44692141030	30.10.2014	19:03
bp-11f294c2-af5b-4542-a867-8c5cd2141030	30.10.2014	19:03
bp-e6fb524c-04a9-450c-9a25-a3da72141030	30.10.2014	19:03
bp-7b578692-b074-4975-a25e-4cc382141030	30.10.2014	19:02
bp-3508be01-cacf-4515-904e-13b6f2141030	30.10.2014	19:02
bp-0313871a-16cc-408f-b282-54e162141030	30.10.2014	19:02
bp-f7215786-6436-446c-ae10-6a4a22141030	30.10.2014	19:02
bp-fb271d9a-7ed4-4022-8505-dbb1d2141030	30.10.2014	19:02
bp-87f902e8-93bb-4392-9ac1-298b12141030	30.10.2014	19:02
bp-6a390201-070b-4f6f-af6d-fc3b72141030	30.10.2014	19:02
bp-f0cd103d-2618-43b3-807a-695392141030	30.10.2014	19:01
bp-5641d47e-aa8a-4d4d-95fe-58b622141030	30.10.2014	19:01
bp-385ad5f6-4a64-4d3f-8a1c-8f0a02141030	30.10.2014	19:01
bp-5c132d2a-529b-42bd-95c5-2eae12141030	30.10.2014	19:01
bp-38def803-624f-4287-be08-3bf702141030	30.10.2014	19:01
bp-d74fcf7b-3671-4d13-8e46-ce0eb2141030	30.10.2014	19:01
bp-6ff9f116-126b-4059-a729-70a712141030	30.10.2014	19:01
bp-40dfb761-9ac1-4f54-9c8b-1d61c2141030	30.10.2014	19:01
bp-da5e6a58-bd58-4dc3-ad68-2b99f2141030	30.10.2014	19:01
bp-afde409e-d070-453c-b490-90e2e2141030	30.10.2014	19:00
bp-20db9895-c3e6-4ef7-8b08-2c3182141030	30.10.2014	19:00
bp-f8a38089-8438-40a7-8fed-6973e2141030	30.10.2014	19:00
bp-14dbc921-7b79-4c14-9371-96cdb2141030	30.10.2014	19:00
bp-2dc3380d-83b6-489a-94cd-08dfe2141030	30.10.2014	18:52
bp-bdb2da0c-9132-4d83-8320-5182b2141030	30.10.2014	18:52
bp-6bc82b2e-645e-4b43-a022-172bb2141030	30.10.2014	18:52
bp-5ddd7fc9-1440-4c82-be11-684532141030	30.10.2014	18:48
bp-3f3fa28f-182b-4e72-ac1d-470612141030	30.10.2014	18:48
bp-f47110b5-9a97-4030-951a-e72372141030	30.10.2014	18:47
bp-f78dc415-93c0-4bcc-aea9-d0f0d2141030	30.10.2014	18:47
bp-fb03d62b-d57a-4f26-8a15-af0642141030	30.10.2014	18:47
bp-9f020d9c-3610-4c16-abdc-558192141030	30.10.2014	18:47
bp-759a6d04-ffbe-4155-aaeb-bb2a72141030	30.10.2014	18:47
bp-3fa52d57-5d83-4043-be83-48b382141030	30.10.2014	18:47
bp-da21d891-9a71-45a7-acf0-a28922141030	30.10.2014	18:46
bp-b9fb3ba7-b744-41e9-922c-5dde42141030	30.10.2014	18:46
bp-38ba0c01-68c1-4c27-8e07-db0ee2141030	30.10.2014	18:46
bp-ab0b520d-37f6-42a2-bb8e-d607d2141030	30.10.2014	18:46
bp-30d09d42-9cf2-4099-a136-17be82141030	30.10.2014	18:46
bp-f7bcf0da-a8ab-4969-a6a0-558912141030	30.10.2014	18:41
bp-18480a39-f5ec-4ab7-a97b-556002141030	30.10.2014	18:40
bp-df34770f-1600-4391-aea5-c78612141030	30.10.2014	18:40
bp-a8521210-7028-4a91-944d-5ac9a2141030	30.10.2014	18:40
Flags: needinfo?(Rolf.Niggemann)
(In reply to Rolf Niggemann from comment #21)

>  
> > Can you post a link to the crash from about:crashes?
> Here are some from 33.0.2 and 36.0a1 as well.

Can you try updating your driver to see if it fixes the problem?
Flags: needinfo?(jmuizelaar) → needinfo?(Rolf.Niggemann)

Comment 23

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #22)
> Can you try updating your driver to see if it fixes the problem?

Windows tells me I have the newest driver when I try to do an automatic update.

Intel(R) HD Graphics 3000
Intel Corporation
Date: 26.09.2012
Version: 9.17.10.2867

Can I give you more informations?
Flags: needinfo?(Rolf.Niggemann)

Comment 24

4 years ago
Issues started with FF upgrade to version 33.0

Intel(R) HD Graphics 3000
Intel Corporation
Date: 2013-01-16
Version: 9.17.10.2963

Submitted crash reports:
bp-af1ab7dc-d7a6-42c3-96f8-dc38c2141031	2014-10-31	22:35
bp-2e645e73-41c3-44fd-b51e-23ee42141030	2014-10-30	21:36
bp-056cae21-6b40-42e1-97a2-febec2141030	2014-10-30	21:36
bp-738e9333-5f2a-4424-a18c-6d3e92141030	2014-10-30	21:36
bp-e4035ba2-2f44-485b-88e2-6692a2141030	2014-10-30	21:36
bp-4de498d8-e4b6-4fa0-b2ee-30f5e2141029	2014-10-29	09:41
bp-9e14ae6f-5840-4800-a2fb-ec1552141029	2014-10-29	09:41
bp-dc331e41-d425-4bcc-847f-d9d812141029	2014-10-29	09:41
bp-5c4723e2-34d4-4b00-a98e-866f02141029	2014-10-29	09:41
bp-0a67e31a-327e-4a3f-980c-6b4482141029	2014-10-29	09:41
bp-e8b385a3-6c30-442c-9550-81b5a2141029	2014-10-29	09:41
bp-41a571a7-c082-45c6-8f26-552172141029	2014-10-29	09:41
bp-167cd621-88c4-40d4-b6fe-b5e192141029	2014-10-29	08:37
bp-24320d1a-a96e-4854-b77c-5148c2141029	2014-10-29	08:36
bp-00a0512c-5be7-4e20-b092-6ede52141029	2014-10-29	08:36
bp-a56e2c05-92a4-4c12-b04f-ab4ad2141029	2014-10-29	08:36
bp-777b71bb-7e66-4229-a1d4-671b52141029	2014-10-29	08:36
bp-583f43b0-eea2-4d18-a3f9-160872141029	2014-10-29	08:32
bp-b3fc3876-ddb1-4396-be56-a51422141029	2014-10-29	08:32
bp-92e92b11-c96f-444c-b462-91e842141029	2014-10-29	08:27
bp-f9d9aa20-601b-40df-b684-731ed2141029	2014-10-29	08:27
bp-351bbc9b-cfa6-48a8-af7f-c15c62141029	2014-10-29	08:27
bp-64ee7fc6-aa03-4aec-9e8a-ac4f92141029	2014-10-29	08:27
bp-a1168f4c-7396-405a-9963-bde6a2141029	2014-10-29	08:27
bp-059f9595-fa60-45af-89d6-f42832141029	2014-10-29	08:27
bp-92cc149a-e335-4a1d-bc6e-4839e2141029	2014-10-29	08:25
bp-b82c29ae-df59-45a5-a7ae-c480f2141029	2014-10-29	08:25
bp-ad0233b7-2ffa-427e-afc7-b95bb2141027	2014-10-27	12:10
bp-01d2be0b-b58a-4c02-ade2-2d55c2141027	2014-10-27	12:10
bp-f4f6b19a-bd3e-4ddb-aebc-a0f1d2141022	2014-10-22	16:32
bp-e6dda94e-b2a5-4958-99e3-6dab42141022	2014-10-22	16:32
bp-296a5a1f-a6f5-4ddb-a687-928452141022	2014-10-22	15:22
bp-4f728f67-892e-4029-8ad9-36ba52141022	2014-10-22	12:21
bp-6212aac7-4c28-4050-a0a9-5c2c62141022	2014-10-22	12:21
bp-61ebc848-baec-4c54-a8e3-78e3a2141021	2014-10-21	12:56
bp-ee6c42f9-1aad-4b75-afe8-18c312141021	2014-10-21	12:56
bp-e5260a51-d775-42d0-acdc-a35af2141021	2014-10-21	12:21
bp-e338b4b8-87df-4dc5-a51e-a90e82141016	2014-10-16	17:25
bp-87641bae-485d-4e30-9e67-9ac432141015	2014-10-15	15:29
bp-b082a3c3-4131-40e2-bd17-21c952141015	2014-10-15	15:09
bp-18b87d93-f7d8-4dcf-bffe-874f72141015	2014-10-15	14:39
bp-d5cf2f66-a227-48a8-aa64-2b6a12141015	2014-10-15	14:39
bp-d39c6b4a-014d-4da8-90ab-633c32141015	2014-10-15	14:39
bp-7581bfcb-df23-4d13-9af6-ba64e2141015	2014-10-15	14:39
bp-907779b9-0ab2-4186-a50b-792b02141015	2014-10-15	14:39
bp-8980cc0e-7b41-4d71-85a3-c3c092141015	2014-10-15	14:39
bp-2ad3888a-af93-4fa6-be37-01d9e2141015	2014-10-15	14:39
bp-97387df6-286f-4a02-8271-b71ba2141015	2014-10-15	14:23
bp-0a85c247-9c1a-497b-a4ef-08f022141015	2014-10-15	14:23
bp-af370c0c-f65e-42cd-af98-3ccdc2141015	2014-10-15	14:21
bp-6465ddb0-d3bb-4b10-b7f6-d22ab2141015	2014-10-15	14:21
bp-32f5a16a-5888-41f3-b294-08cd52141015	2014-10-15	14:21
bp-314ff02a-a051-43d9-ac9c-162302141015	2014-10-15	14:21
bp-09f20350-7e25-4e08-bc0f-d3ba42141015	2014-10-15	14:20
bp-26641189-8f16-4dbb-bb2d-1ebe12141015	2014-10-15	14:20
bp-5c474bd0-76e4-4067-b693-503492141015	2014-10-15	14:20
bp-e83dbdcf-e46a-4a0b-999f-a3be22141015	2014-10-15	14:20
bp-68bb55fa-e17a-4fb7-b9d1-87ab52141015	2014-10-15	14:20
6b251369-1bd0-47b3-908e-f968fd652477	2014-04-11	16:28

Comment 25

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #22)

> Can you try updating your driver to see if it fixes the problem?

After my reply in comment #23, I found an driver update from Intel which I was able to install.
The actual driver is now:
Intel(R) HD Graphics 3000
Intel Corporation
Date: 20.03.2014
Version: 9.17.10.3517

Firefox still crashes after the driver update immediately at startup:

Submitted Crash Reports
Report ID 	Date Submitted
bp-8574e8c6-3509-4cc6-9203-2648f2141031	31.10.2014	23:03
Flags: needinfo?(jmuizelaar)
I would like to echo Staszek's statement from comment 18: decreasing volume does not always mean the crash went away; sometimes the users went away. We should be extra-sensitive to perma-statup-crashes that will make people stop using Firefox.

Should we reconsider 33 tracking for this? Maybe it's still wontfix (it might be too late already for the lost users) but I just wanted to make sure the decision has all the data.
Flags: needinfo?(sledru)

Comment 27

4 years ago
[Tracking Requested - why for this release]:
We should at least track 34 if we can't get this into some 33.x release. I'm pretty sure that this means lost users as it's clearly a startup crash and comments tell that people cannot get Firefox to run any more after the update to 33.
tracking-firefox34: --- → ?
David, I agree with you and I share your concern but we don't have a patch yet...
status-firefox33: wontfix → affected
tracking-firefox34: ? → +
Flags: needinfo?(sledru)
Note that the crashes recorded by Rolf happen on the main thread, and interestingly there seems to be a mix of BasicLayers and D2D, which is odd (and sounds like trouble).

The other crashes on this bug happen in the compositor thread.
(In reply to Nicolas Silva [:nical] from comment #29)
> Note that the crashes recorded by Rolf happen on the main thread, and
> interestingly there seems to be a mix of BasicLayers and D2D, which is odd
> (and sounds like trouble).
> 
> The other crashes on this bug happen in the compositor thread.

FTR, this is the code that decides to create a BasicLayermanager to paint an inactive layer (while the rest of is done normally on a ClientLayer. http://hg.mozilla.org/mozilla-central/annotate/e0b505a37b1c/layout/base/FrameLayerBuilder.cpp#l2595

So the use of BasicLayerManager actually looks somewhat legit, although I don't know for sure how/why that works.
Can someone go buy/find a machine (surely we have one lying around in an office?) with device 0x0116 and install the relevant driver?
(In reply to Bas Schouten (:bas.schouten) from comment #31)
> Can someone go buy/find a machine (surely we have one lying around in an
> office?) with device 0x0116 and install the relevant driver?

I have one and will do so.
I have a machine with a 0x116 and 9.17.10.3517 driver and don't get crashes on startup. So there must be something else going on here.
Flags: needinfo?(jmuizelaar)
My guess is that this is related to dlumd32.dll which is a displaylink dll
All of the crashes that I looked at had this dll in the call stack. I don't know why the correlation report is not showing this.

Comment 36

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #34)
> My guess is that this is related to dlumd32.dll which is a displaylink dll

Yes and some of these Displaylink devices aren't related to the IGP but are third party add-on USB-based devices so we're possibly looking at the wrong thing. It's possible that if this user updated to v7.7 M0 of the displaylink software it might update his dlumd32.dll.

Comment 37

4 years ago
(In reply to Rolf Niggemann from comment #25)
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #22)
> 
> > Can you try updating your driver to see if it fixes the problem?
> 
> After my reply in comment #23, I found an driver update from Intel which I
> was able to install.
> The actual driver is now:
> Intel(R) HD Graphics 3000
> Intel Corporation
> Date: 20.03.2014
> Version: 9.17.10.3517
> 
> Firefox still crashes after the driver update immediately at startup:
> 
> Submitted Crash Reports
> Report ID 	Date Submitted
> bp-8574e8c6-3509-4cc6-9203-2648f2141031	31.10.2014	23:03

Rolf,

Do you think you could update your Displaylink software to v7.7 M0 from http://www.displaylink.com/support/sla.php?fileid=131 and see if it stops crashing?
(In reply to Arthur K. from comment #37)
> (In reply to Rolf Niggemann from comment #25)
> > (In reply to Jeff Muizelaar [:jrmuizel] from comment #22)
> > 
> > > Can you try updating your driver to see if it fixes the problem?
> > 
> > After my reply in comment #23, I found an driver update from Intel which I
> > was able to install.
> > The actual driver is now:
> > Intel(R) HD Graphics 3000
> > Intel Corporation
> > Date: 20.03.2014
> > Version: 9.17.10.3517
> > 
> > Firefox still crashes after the driver update immediately at startup:
> > 
> > Submitted Crash Reports
> > Report ID 	Date Submitted
> > bp-8574e8c6-3509-4cc6-9203-2648f2141031	31.10.2014	23:03
> 
> Rolf,
> 
> Do you think you could update your Displaylink software to v7.7 M0 from
> http://www.displaylink.com/support/sla.php?fileid=131 and see if it stops
> crashing?

If you could report the current version that you have installed that would be valuable too.

Look in Add & Remove programs for the version number.
Summary: Startup crash in @0x0 | CContext::UMQueryHS_ConstBuf_(D3D10DDI_HRTCORELAYER, unsigned int, unsigned int) → DisplayLink (dlumd32.dll) Startup crash in @0x0 | CContext::UMQueryHS_ConstBuf_(D3D10DDI_HRTCORELAYER, unsigned int, unsigned int)
(In reply to Jeff Muizelaar [:jrmuizel] from comment #38)

If could tell us the type of displaylink device you have that would be helpful too.
Something's wrong with our DLL correlation tools. KaiRo has pinged rhelmer for help. In the meantime I checked ~20 reports by hand. I've seen versions 8.5.5.27797 to 8.6.1.36484 of dlumd32.dll. The latter has timestamp of Febuary 2012, which gives me hope that this may be fixed in a newer version.

Comment 41

4 years ago
(In reply to David Major [:dmajor] (UTC+13) from comment #40)
> Something's wrong with our DLL correlation tools. KaiRo has pinged rhelmer
> for help. In the meantime I checked ~20 reports by hand. I've seen versions
> 8.5.5.27797 to 8.6.1.36484 of dlumd32.dll. The latter has timestamp of
> Febuary 2012, which gives me hope that this may be fixed in a newer version.

I can confirm that the updated Displaylink 7.7 M0 software installs version 9.18.7.7 of dlumd32.dll and it's dated 9/26/2014. Hopefully it's as simple as that.

Comment 42

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #39)
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #38)
> 
> If could tell us the type of displaylink device you have that would be
> helpful too.

Just from playing around with this Displaylink software (don't have the hardware to test), it seems to hook into the display driver in a similar fashion as the Jaws screen reading software does.
I suspect that the fallback can be limited to: (dlumd32 <= 8.6.1.36484 && igd10umd32 >= 9.17.10.2843) -- but it should be confirmed with rhelmer's correlations when they're ready.
Is 64-bit Firefox also affected? Is the DLL version there named something like "dlumd64.dll" ?

Comment 47

4 years ago
(In reply to Arthur K. from comment #37)
> Rolf,
> 
> Do you think you could update your Displaylink software to v7.7 M0 from
> http://www.displaylink.com/support/sla.php?fileid=131 and see if it stops
> crashing?

I am going to try the update now.

(In reply to Jeff Muizelaar [:jrmuizel] from comment #38)
> If you could report the current version that you have installed that would
> be valuable too.
> 
> Look in Add & Remove programs for the version number.

My current dlumb32.dll is: (is that what you are looking for?)
Fileversion: 8.5.5.27797
Productname: DisplayLink Core Software v5.5.27797.0
Productversion: 5.5.27797.0
Change Date: 21.09.2010 15:03
Language: English (Great Britain)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #39)
> If could tell us the type of displaylink device you have that would be
> helpful too.

My machine is a HP EliteBook 2760p.
The display is an internal Intel(R) HD Graphics 3000
Hardware IDs:
 PCI\VEN_8086&DEV_0116&SUBSYS_162A103C&REV_09
 PCI\VEN_8086&DEV_0116&SUBSYS_162A103C
 PCI\VEN_8086&DEV_0116&CC_030000
 PCI\VEN_8086&DEV_0116&CC_0300

I hope I got the right information. Please let me know if you look for more or different stuff.
I will go and try the DisplayLink update now and report back here what happened.
(In reply to Rolf Niggemann from comment #47)
> 
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #39)
> > If could tell us the type of displaylink device you have that would be
> > helpful too.
> 
> My machine is a HP EliteBook 2760p.
> The display is an internal Intel(R) HD Graphics 3000
> Hardware IDs:
>  PCI\VEN_8086&DEV_0116&SUBSYS_162A103C&REV_09
>  PCI\VEN_8086&DEV_0116&SUBSYS_162A103C
>  PCI\VEN_8086&DEV_0116&CC_030000
>  PCI\VEN_8086&DEV_0116&CC_0300
> 
> I hope I got the right information. Please let me know if you look for more
> or different stuff.

Do you have a USB to VGA or USB to DVI adapter? I'm looking for the model of that device.
Comment on attachment 8516271 [details] [diff] [review]
mozilla-release patch making us regard d3d11 as broken with displaylink on versions <= 8.6.1.36484, and fall back to basic layers

Review of attachment 8516271 [details] [diff] [review]:
-----------------------------------------------------------------

Let's try this on trunk to start.
Attachment #8516271 - Flags: review?(jmuizelaar) → review+
(In reply to Benoit Jacob [:bjacob] from comment #46)
> Is 64-bit Firefox also affected? Is the DLL version there named something
> like "dlumd64.dll" ?

There are no 64-bit crashes on this signature. In the old correlation data (from before it broke) I don't see any other signatures with a dlumd64.dll.

Comment 51

4 years ago
(In reply to Rolf Niggemann from comment #47)
> (In reply to Arthur K. from comment #37)
> > Rolf,
> > 
> > Do you think you could update your Displaylink software to v7.7 M0 from
> > http://www.displaylink.com/support/sla.php?fileid=131 and see if it stops
> > crashing?
> 
> I will go and try the DisplayLink update now and report back here what
> happened.

The update did run fine and Nightly starts now without crashing.
I'll download and install the actual stable now and see what's happening with it.

(In reply to Jeff Muizelaar [:jrmuizel] from comment #48)
> Do you have a USB to VGA or USB to DVI adapter? I'm looking for the model of
> that device.

Let me see if I can find out something on that.
The machine is a notebook, there is nothing externally attached, so i assume there might be something internally on the motherboard.
There are some USB Controllers that I can see, but none has some display attached as far as I can see it:

####
While I was writing this comment, at this point, Nightly crashed but restarted.
https://crash-stats.mozilla.com/report/index/bp-07c98fd2-b7c0-4e34-92f4-33ef82141103
####

* Generic USB Hub: USB\VID_8087&PID_0024&REV_0000
  - Validity Sensor (VFS471)
  - HP hs2340 HSPA+ Mobile Broadband Module
* Generic USB Hub: USB\VID_8087&PID_0024&REV_0000
  - USB Composite Device
  - USB Composite Device
  - Broadcom 2070 Bluetooth   
* HP hs2340 HSPA+ Mobile Broadband Module USB Device: USB\VID_03F0&PID_3A1D&REV_0000
* Intel(R) 6 Series/C200 Series Chipset Family USB Enhanced Host Controller - 1C2D: PCI\VEN_8086&DEV_1C2D&SUBSYS_162A103C&REV_04
* Intel(R) 6 Series/C200 Series Chipset Family USB Enhanced Host Controller - 1C26: PCI\VEN_8086&DEV_1C26&SUBSYS_162A103C&REV_04
* USB-Root-Hub: USB\ROOT_HUB20&VID8086&PID1C2D&REV0004
  - Generic USB Hub (6 Port)
* USB-Root-Hub: USB\ROOT_HUB20&VID8086&PID1C26&REV0004
  - Generic USB Hub (8 Port)
* USB Composite Device: USB\VID_046D&PID_C52B&REV_1201
* USB Composite Device: USB\VID_04F2&PID_B242&REV_9990

I am sorry, I am not sure if I could provide what you were looking for. Please let me know if you need other or more informations.
Comment on attachment 8516271 [details] [diff] [review]
mozilla-release patch making us regard d3d11 as broken with displaylink on versions <= 8.6.1.36484, and fall back to basic layers

Review of attachment 8516271 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/thebes/gfxWindowsPlatform.cpp
@@ +1525,5 @@
> +    }
> +    if (displayLinkModuleVersion <= GFX_DRIVER_VERSION(8,6,1,36484)) {
> +      return false;
> +    }
> +  }

dmajor suggested doing an additional check for igd10umd32 because the problem only happens on intel

Comment 53

4 years ago
(In reply to Rolf Niggemann from comment #51)
> I'll download and install the actual stable now and see what's happening
> with it.
Done that now, downloaded and installed 33.0.2 and its starting fine, no startup crash.

Thanks to all of you for looking into the issue and fixing it!!! Great!!!
Is there anything else I can help with?
> The machine is a notebook, there is nothing externally attached, so i assume
> there might be something internally on the motherboard.
> There are some USB Controllers that I can see, but none has some display
> attached as far as I can see it:
Interesting. Looking at [1] I would guess that either the external VGA is driven by a DisplayLink chip, or they pre-install DisplayLink in case you buy the docking station with DisplayPort. Maybe in your use with nothing connected, you might not have needed the DisplayLink software at all. Although now that the driver is updated, might as well leave it installed.
[1] http://www.tabletpcreview.com/tabletreview/hp-elitebook-2760p-review/

Comment 55

4 years ago
(In reply to David Major [:dmajor] (UTC+13) from comment #54)
> > The machine is a notebook, there is nothing externally attached, so i assume
> Interesting. Looking at [1] I would guess that either the external VGA is
> driven by a DisplayLink chip, or they pre-install DisplayLink in case you
> buy the docking station with DisplayPort. Maybe in your use with nothing
> connected, you might not have needed the DisplayLink software at all.
> Although now that the driver is updated, might as well leave it installed.
> [1] http://www.tabletpcreview.com/tabletreview/hp-elitebook-2760p-review/

It runs now better than before, at least the driver update did stop Firefox crashing. I definately leave the update as it is now. Do not touch a running system and so... ;-)
Again thank you to all of you!

Comment 56

4 years ago
(In reply to David Major [:dmajor] (UTC+13) from comment #54)
> > The machine is a notebook, there is nothing externally attached, so i assume
> > there might be something internally on the motherboard.
> > There are some USB Controllers that I can see, but none has some display
> > attached as far as I can see it:
> Interesting. Looking at [1] I would guess that either the external VGA is
> driven by a DisplayLink chip, or they pre-install DisplayLink in case you
> buy the docking station with DisplayPort. Maybe in your use with nothing
> connected, you might not have needed the DisplayLink software at all.
> Although now that the driver is updated, might as well leave it installed.
> [1] http://www.tabletpcreview.com/tabletreview/hp-elitebook-2760p-review/

My hunch is that Rolf's PC must have had this Displaylink device at some point as the software controlling the external Displaylink device is present. If there is no Displaylink hardware any longer, he can likely uninstall the Displaylink software altogether and not hit this issue some time down the line when/if things change.

Comment 57

4 years ago
(In reply to Rolf Niggemann from comment #55)
> (In reply to David Major [:dmajor] (UTC+13) from comment #54)
> > > The machine is a notebook, there is nothing externally attached, so i assume
> > Interesting. Looking at [1] I would guess that either the external VGA is
> > driven by a DisplayLink chip, or they pre-install DisplayLink in case you
> > buy the docking station with DisplayPort. Maybe in your use with nothing
> > connected, you might not have needed the DisplayLink software at all.
> > Although now that the driver is updated, might as well leave it installed.
> > [1] http://www.tabletpcreview.com/tabletreview/hp-elitebook-2760p-review/
> 
> It runs now better than before, at least the driver update did stop Firefox
> crashing. I definately leave the update as it is now. Do not touch a running
> system and so... ;-)
> Again thank you to all of you!

Rolf, if you don't have this external Displaylink hardware any longer, you can likely remove the Displaylink software altogether.
Here are the correlations thanks to rhelmer: https://gist.github.com/rhelmer/a309212497969998aedb
The numbers confirm that the crashes are (dlumd32 <= 8.6.1.36484 && igd10umd32 >= 9.17.10.2843).

Comment 59

4 years ago
A user on the French community board is hitting the same crashes. Do we have a known workaround?
> Do we have a known workaround?
Update the DisplayLink driver: http://www.displaylink.com/support/sla.php?fileid=131

Comment 61

4 years ago
(In reply to Arthur K. from comment #57)
> Rolf, if you don't have this external Displaylink hardware any longer, you
> can likely remove the Displaylink software altogether.

I was interested in finding out which device I could have, that requires the DisplayLink driver and thought, it would pop up in System Manager, when I uninstall the driver: --> Just nothing happened after the uninstall.
Firefox still works fine as does the rest of the system. 
If I ever find out which device it was that caused the trouble, I'll let you know.

Comment 62

4 years ago
(In reply to Rolf Niggemann from comment #61)
> (In reply to Arthur K. from comment #57)
> > Rolf, if you don't have this external Displaylink hardware any longer, you
> > can likely remove the Displaylink software altogether.
> 
> I was interested in finding out which device I could have, that requires the
> DisplayLink driver and thought, it would pop up in System Manager, when I
> uninstall the driver: --> Just nothing happened after the uninstall.
> Firefox still works fine as does the rest of the system. 
> If I ever find out which device it was that caused the trouble, I'll let you
> know.

Yes, this is what I suspected. The Displaylink device would have been an external USB-to-VGA type of device and the Displaylink software hooks into the onboard VGA and, I think, creates a secondary output through the Displaylink device. Similar to dual monitor display or some other similar multiplexing. Displaylink seems to be totally different from Displayport. Thanks much for working with us to gather information and test things. I think the removal of the software was safe to do.
OK, updated the patch to only block on Intel. Didn't add the Intel version check per conversation with Jeff.
https://hg.mozilla.org/integration/mozilla-inbound/rev/3d0169c5795f

Comment 64

4 years ago
(In reply to Benoit Jacob [:bjacob] from comment #63)
> OK, updated the patch to only block on Intel. Didn't add the Intel version
> check per conversation with Jeff.
> https://hg.mozilla.org/integration/mozilla-inbound/rev/3d0169c5795f

I can confirm on an Optiplex 960 I have with igd10umd32.dll version 8.15.10.2869 that I have no issues.
https://hg.mozilla.org/mozilla-central/rev/3d0169c5795f
https://hg.mozilla.org/mozilla-central/rev/0b298d91fbdd
Assignee: nobody → bjacob
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla36
Benoit, can we have the uplift requests? Thanks
Flags: needinfo?(bjacob)
Comment on attachment 8516271 [details] [diff] [review]
mozilla-release patch making us regard d3d11 as broken with displaylink on versions <= 8.6.1.36484, and fall back to basic layers

Approval Request Comment
[Feature/regressing bug #]:
[User impact if declined]: Startup top crasher
[Describe test coverage new/current, TBPL]: none
[Risks and why]: Very low, at worst we blacklist more people than we should and they loose D3D11 compositing.
[String/UUID change made/needed]: none
Attachment #8516271 - Flags: approval-mozilla-release?
Attachment #8516271 - Flags: approval-mozilla-beta?
Attachment #8516271 - Flags: approval-mozilla-aurora?
Comment on attachment 8516271 [details] [diff] [review]
mozilla-release patch making us regard d3d11 as broken with displaylink on versions <= 8.6.1.36484, and fall back to basic layers

Also in GECKO331_2014103013_RELBRANCH
Thanks
Flags: needinfo?(bjacob)
Attachment #8516271 - Flags: approval-mozilla-release?
Attachment #8516271 - Flags: approval-mozilla-release+
Attachment #8516271 - Flags: approval-mozilla-beta?
Attachment #8516271 - Flags: approval-mozilla-beta+
Attachment #8516271 - Flags: approval-mozilla-aurora?
Attachment #8516271 - Flags: approval-mozilla-aurora+
Also landed on GECKO330_2014101104_RELBRANCH for 33.0.3:
https://hg.mozilla.org/releases/mozilla-release/rev/63daea50bacd

Comment 75

4 years ago
That said, if the fix needs some of the checkins from bug 1064864, bug 1076910, bug 1064107, bug 1021265, bug 1093863, or bug 1089183 to be effective, those landed on a different relbranch than 33.0.3 was built from. They are in 33.1, though.

Comment 76

4 years ago
This is definitely still happening in early 33.1 data.
I guess this still impacts other branches...
Status: RESOLVED → REOPENED
status-firefox33: fixed → affected
status-firefox34: fixed → affected
status-firefox35: fixed → affected
status-firefox36: fixed → affected
Resolution: FIXED → ---
Is it happening less?
I don't understand why are blacklisting code would not catch this problem.

Comment 81

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #80)
> I don't understand why are blacklisting code would not catch this problem.

Are we blocking dlumd32.dll that is <= 8.6.1.36484 or *only* 8.6.1.36484? I am seeing 8.5.5.29055, 8.5.6.31854, and also dlumd10.dll/dlumd11.dll in the reports.

Comment 82

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #79)
> Is it happening less?

We don't have enough data yet to tell. Also, as this is a startup crash, it's hard to even get that data, as people will leave us (or that release) when they can't launch Firefox and then we won't see any data from them any more.
Approval Request Comment
[Feature/regressing bug #]: OMTC
[User impact if declined]: Crash on startup
[Describe test coverage new/current, TBPL]: None
[Risks and why]: Pretty minimal the current code is broken.
Attachment #8520170 - Flags: review+
Attachment #8520170 - Flags: approval-mozilla-release?
Attachment #8520170 - Flags: approval-mozilla-beta+
Attachment #8520170 - Flags: approval-mozilla-aurora?
Flags: needinfo?(lmandel)
Comment on attachment 8520170 [details] [diff] [review]
Fix driver version parsing

I approved for Beta in person. Adding Aurora approval.

Sylvestre - We should review whether it is worth spinning another 33 release for this trivial fix.
Flags: needinfo?(lmandel) → needinfo?(sledru)
Attachment #8520170 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
Flags: needinfo?(sledru)
Attachment #8520170 - Flags: approval-mozilla-release? → approval-mozilla-release+
https://hg.mozilla.org/integration/mozilla-inbound/rev/96f0df721845
https://hg.mozilla.org/releases/mozilla-aurora/rev/2068eecf1f2a
https://hg.mozilla.org/releases/mozilla-release/rev/12ec9a7c648a (GECKO331_2014103013_RELBRANCH - 33.1.x)
https://hg.mozilla.org/releases/mozilla-release/rev/f2bdbc945da2 (default - 33.x)
status-firefox33: affected → fixed
status-firefox34: affected → fixed
status-firefox35: affected → fixed
status-firefox36: affected → fixed
https://hg.mozilla.org/mozilla-central/rev/96f0df721845
Status: REOPENED → RESOLVED
Last Resolved: 4 years ago4 years ago
Resolution: --- → FIXED
Flags: qe-verify+

Comment 89

4 years ago
I can confirm that we so far do not see this crash in 33.1.1 \o/

Comment 90

4 years ago
Don't know if this would be the right place to mention it, but it seems with the update to 33.1.1 Firefox will now hang on start up if my extension installed.  Could this bug be related?  There is some info here https://codefisher.org/forum/thread/1628/#p6298
Michael: Please file a new bug for that issue. Given the mention of "friends that have dissimilar PCs" I doubt it's connected to DisplayLink. FWIW I couldn't reproduce by installing Toolbar Buttons on 33.1.1, nor by installing it on 33.1 and letting it update.

Comment 92

4 years ago
I have another class of hardware with what appears to be the same underlying problem as this bug, but FF 33.1.1 doesn't resolve it. 

This is a Dell Precision M6700 laptop with an Intel HD 4000/NVIDIA Quadro K3000M Optimus configuration running Windows 7 (64-bit), SP1

Symptom is FF will crash, usually when loading a page, then the restart will be stuck in a "FF Crashed, restart Y/N?  Y, immediately crash" loop.  Eventually it offers Safe Mode, which always works.

The problem started in FF 33. I downgraded to 32 for a while (which never had this issues), saw this bug listed as fixed in 33.1.1 and was tempted enough to try upgrading again. (C.f. :dmajor 's prescient note that "decreasing volume does not always mean the crash went away, sometimes the users went away")

The bottom stack frames are:

nvwgf2um.dll
nvumdshim.dll
d3d11.dll 	CShaderResourceView::CLS::FinalConstruct(CContext*, CShaderResourceView::TConstructorArgs const*)
xul.dll 	DoesD3D11DeviceWork(ID3D11Device*)


about:crashes says:

bp-16a036f3-0937-44d2-9e54-e96562141119	11/18/2014	7:39 PM
bp-be3fb669-df7f-439c-8555-b298a2141118	11/18/2014	5:18 PM
bp-8fcfccde-b76f-4ac5-947d-4883e2141118	11/18/2014	5:18 PM
bp-ed0d148f-183e-4629-93a2-c707a2141118	11/18/2014	5:18 PM
bp-ef807d15-9c01-4f2a-ba3e-6cb8e2141118	11/18/2014	5:18 PM
bp-0bfc240e-db1f-408a-8d6a-675022141118	11/18/2014	5:18 PM
bp-5570d629-2edb-4fa8-99aa-dac782141113	11/13/2014	11:00 AM
bp-8db28c5f-63c3-48f5-9327-f7b5b2141113	11/13/2014	11:00 AM
bp-f296999a-d0ff-481f-bdf1-880bd2141113	11/13/2014	11:00 AM
bp-a92d775e-fd88-4b00-a428-097b92141113	11/13/2014	11:00 AM
bp-2e344137-87e8-4d28-aebf-ab0212141113	11/12/2014	8:36 PM
bp-e4cfcdda-2da4-4553-a936-4ba762141113	11/12/2014	8:20 PM
bp-d3388f88-b1cc-4c09-bd06-d604e2141113	11/12/2014	8:20 PM
bp-5480161f-f2e6-4e4d-8653-a35012141106	11/5/2014	10:03 PM
bp-5467f837-01f8-4ece-b9cc-34f902141106	11/5/2014	9:38 PM
bp-9fabbad0-f587-4c2f-a1a2-cf6832141104	11/3/2014	9:43 PM
bp-1638c60d-6ff5-436d-8914-efba02141104	11/3/2014	7:46 PM
bp-32751736-2813-4e5a-abc1-6a7862141104	11/3/2014	7:19 PM
bp-86a37d9c-95cf-4408-a130-d77e62141103	11/3/2014	4:12 PM
bp-bb07bdab-81f7-40d1-990b-09e1e2141102	11/1/2014	10:03 PM
bp-1fb79a57-799c-4b4e-bfce-e9c002141031	10/31/2014	3:59 PM
bp-0e5a008b-99be-49dd-a05b-671dd2141031	10/31/2014	2:59 PM
bp-edf5824d-5dcf-42f2-bf23-755d72141031	10/31/2014	2:59 PM
bp-cc4b594f-1798-42c2-831c-5d2432141031	10/31/2014	2:59 PM
bp-99d07d9b-a6ee-455c-b199-590b82141031	10/31/2014	2:59 PM
bp-c7d652e4-a3a5-441d-ad93-904542141031	10/31/2014	2:59 PM
bp-f8128ef5-061a-45d6-8ab2-3052d2141031	10/31/2014	2:59 PM
bp-327af5b7-5bfc-48c5-bc32-6d6092141031	10/31/2014	2:59 PM
bp-d7835741-08b7-4a8c-96c5-95aa22141031	10/31/2014	2:28 PM
9c54d0a6-9aed-426a-a482-32a22d3927fd	9/17/2014	9:17 AM
bp-9b694596-3215-471f-b167-918042140717	7/17/2014	2:03 PM
bp-84bac606-28a8-4464-a664-810d72140711	7/11/2014	7:44 PM
bp-a525c86b-e9f1-494f-a3c7-b42952140510	5/10/2014	5:19 PM
bp-2fe6838c-d6a0-4999-9bfa-bb81b2140509	5/9/2014	6:19 PM
bp-8e2e69dc-6c93-4372-8437-556752140227	2/27/2014	10:12 AM
bp-a5c30c0e-95c6-49b8-99fa-d488d2140219	2/18/2014	7:15 PM
bp-d63da1fe-b188-4f5d-8732-79f602140122	1/22/2014	4:15 PM
ce21b38f-7143-4bb0-a407-69751bb168e1	1/21/2014	8:58 PM
12d76d22-12d8-41d7-b82a-1194b51dcbf9	12/28/2013	4:19 PM

This is the part where you'll hate me:
When you say "have you tried updating your video drivers" I'm going to say back, "I'd really like to, but have video-performance-sensitive benchmarking data on this box that will be invalidated if I update the driver right now." :(
I'm running NVIDIA 311.10, Intel 9.17.10.2932 drivers, which are what the Dell support site recommended for this box as recently as last month.

If there is other information or tests that are useful please let me know.
(In reply to Nathan Kidd from comment #92)
> I have another class of hardware with what appears to be the same underlying
> problem as this bug, but FF 33.1.1 doesn't resolve it. 
> 
> This is a Dell Precision M6700 laptop with an Intel HD 4000/NVIDIA Quadro
> K3000M Optimus configuration running Windows 7 (64-bit), SP1
> 
> Symptom is FF will crash, usually when loading a page, then the restart will
> be stuck in a "FF Crashed, restart Y/N?  Y, immediately crash" loop. 
> Eventually it offers Safe Mode, which always works.

This crash doesn't seem to have anything to do with the DisplayLink crash that we were seeing. Please file a new bug.
For the last 7 days the rates look as it follows:
- 2 crashes in 36.0a1 and 2 in 35.0a2
- 3 crashes in 33.1.1 (1408 crashes in 33.1 in the same time period)

Comment 95

4 years ago
(In reply to Jeff Muizelaar [:jrmuizel] from comment #93)
> (In reply to Nathan Kidd from comment #92)
> > I have another class of hardware with what appears to be the same underlying
> > problem as this bug, but FF 33.1.1 doesn't resolve it. 
> > 
> > This is a Dell Precision M6700 laptop with an Intel HD 4000/NVIDIA Quadro
> > K3000M Optimus configuration running Windows 7 (64-bit), SP1
> > 
> > Symptom is FF will crash, usually when loading a page, then the restart will
> > be stuck in a "FF Crashed, restart Y/N?  Y, immediately crash" loop. 
> > Eventually it offers Safe Mode, which always works.
> 
> This crash doesn't seem to have anything to do with the DisplayLink crash
> that we were seeing. Please file a new bug.

In that case, I have a hard time in good conscience to file the bug without updating/testing with the latest NVIDIA driver first.  Hopefully I'll be able to eventually, but not soon.  Thanks.
(In reply to Cornel Ionce [QA] from comment #94)
> For the last 7 days the rates look as it follows:
> - 2 crashes in 36.0a1 and 2 in 35.0a2
> - 3 crashes in 33.1.1 (1408 crashes in 33.1 in the same time period)

I did another quick check today and there is still a very low level of occurrence reported (+ no crashes in 34 beta 8 or later). I think it's safe to mark this as verified.
Status: RESOLVED → VERIFIED
status-firefox33: fixed → verified
status-firefox34: fixed → verified
status-firefox35: fixed → verified
status-firefox36: fixed → verified

Comment 97

4 years ago
I just installed the lastest version offered on the site v.33 today 11-26-14. It updated fine - closed and restarted. Now after I closed it, it will not open at all. It hangs and just keeps waiting and waiting with "not responding". I already attempted the fix 33.1, but that seems to have not done anything.

Comment 98

4 years ago
Addendum

When I tried to close the program - top right X, it proceeded to want to entirely shut down the machine, awaiting for me to confirm shutting down. The patch 33.1.1.exe, which is what I've tried failed
I encountured this startup crash a month before and give you time to fix it. After the last update firefox starts as expected. Great work.

Comment 100

4 years ago
I have removed the latest version and attempted to reinstall using previous versions to no avail. The desktop icon now shows a blue/gold shield which prompts me to OK when launching, then it either does not launch or launches and the homepage or anything else loads.
John, do you see this with 34? Can you run in the safe mode?

Comment 102

4 years ago
The problem continued with 34.0.5 even with clean reinstall. Then I tricked it to work by opening with shift key down prompting me to restore or fix? I chose fix, closed FF in task manager and launched it again. This got it to run, but once I closed the browser I would have to do the above all over again.

Now suddenly, the browser seems to be working like normal again. 

Thanks
We have a user reporting this bug in Firefox 37.0.2, which is a bit concerning.

Comment 104

4 years ago
(In reply to Tyler Downer [:Tyler] from comment #103)
> We have a user reporting this bug in Firefox 37.0.2, which is a bit
> concerning.

Is there a crash report somewhere? DisplayLink has updated their software to 7.7 M4 (Feb 2015): http://www.displaylink.com/support/sla.php?fileid=144

Comment 106

4 years ago
(In reply to Tyler Downer [:Tyler] from comment #105)
> Bah, sorry, thought I put that in the comment.
> 
> https://crash-stats.mozilla.com/report/index/c3a26c8c-9b87-4309-8dd5-
> af2f02150427

Thanks Tyler. I am seeing reference to the crashing DLL version (8.5.5.30661) in bug 828911 comment 12 but on NVidia hardware. I imagine it's still just due to an old version of this software and not specific to VGA adapter.
We look for "dlumd32.dll" in order to activate our workaround. The machine in bp-c3a26c8c-9b87-4309-8dd5-af2f02150427 has files called "dlumd10.dll" and "dlumd11.dll" instead, so the fix doesn't kick in.

Looking back over the old correlation files, I'm going to estimate that 2-3% of the original crashes are in this situation (since the dlumd32 correlations were 97-98% in early November).

Tyler, could you see if the user could try updating the DisplayLink driver? Presumably, getting onto a newer driver version should stop the crashes, regardless of what the files are called.

Jeff, should we add the other dlumd's?
Flags: needinfo?(jmuizelaar)
We should be OK to just add those two DLLs, and if we find them, and have them be of a "bad" version, deal with them.  We should be careful (looking at the comment 52) about going Intel only, or assuming that those DLLs always exist on Intel machines.
(In reply to David Major [:dmajor] from comment #107)
> We look for "dlumd32.dll" in order to activate our workaround. The machine
> in bp-c3a26c8c-9b87-4309-8dd5-af2f02150427 has files called "dlumd10.dll"
> and "dlumd11.dll" instead, so the fix doesn't kick in.
> 
> Looking back over the old correlation files, I'm going to estimate that 2-3%
> of the original crashes are in this situation (since the dlumd32
> correlations were 97-98% in early November).
> 
> Tyler, could you see if the user could try updating the DisplayLink driver?
> Presumably, getting onto a newer driver version should stop the crashes,
> regardless of what the files are called.
> 
> Jeff, should we add the other dlumd's?

Yes, that sounds reasonable.
Flags: needinfo?(jmuizelaar)
I'll clone this bug so that we can update the list of DLLs we look at.
You need to log in before you can comment on or make changes to this bug.